package com.logicbig.example;

import org.springframework.beans.factory.config.BeanDefinition;
import org.springframework.context.annotation.ClassPathScanningCandidateComponentProvider;
import org.springframework.core.convert.converter.Converter;
import org.springframework.core.type.filter.AssignableTypeFilter;
import java.util.Set;

public class SpringBuiltInConvertersFinder {
    public static void main(String[] args) {
        ClassPathScanningCandidateComponentProvider provider =
                new ClassPathScanningCandidateComponentProvider(false);
        provider.addIncludeFilter(new AssignableTypeFilter(Converter.class));
        Set<BeanDefinition> components = provider.findCandidateComponents("org/springframework");
        components.stream()
                  .map(BeanDefinition::getBeanClassName)
                  .forEach(System.out::println);
    }
}